%define uname	BR24radar_pi
%define piname	br24radar_pi

Name:		opencpn-br24radar-plugin
Summary:	Radar plugin for OpenCpn
Version:	3.0.0
Release:	%mkrel 3
License:	GPLv3+
Group:		Geography
URL:		https://github.com/canboat/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{uname} = %{version}

%description
Navico (Simrad, Lowrance) Broadband BR24/3G/4G Radar PlugIn for opencpn

%prep
%setup -q -n %{uname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Sun Oct 06 2019 tex - 3.0.0-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 3.0.0-2pclos2019
- rebuild against updates

